## gwyprocess gwyprocess — Base functions |

## Functions

void | gwy_process_type_init ()

## Includes

    #include <libprocess/gwyprocess.h>

## Description

Gwyddion classes has to be initialized before they can be safely deserialized. The function `gwy_process_type_init()` performs this initialization.

## Functions

### gwy_process_type_init ()

    void
    gwy_process_type_init (void);

Makes libgwyprocess types safe for deserialization and performs other initialization. You have to call this function from the main thread before using objects from libgwyprocess.

It calls `gwy_type_init()` first to make sure libgwyddion is initialized.

It is safe to call this function more than once, subsequent calls are no-op.